Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.diffmerge.model
Interface VDiffAttachment

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VAttachment

All Known Implementing Classes:
  VDiffAttachmentImpl

    public interface VDiffAttachment

extends VAttachment

A representation of the model object ' Diff Attachment'.

The following features are supported:

- `Total Number Of Diffs`
- `Merged Diffs`

See Also:
  `VDiffmergePackage.getDiffAttachment()`

Method Summary
`int` | `getMergedDiffs()` Returns the value of the 'Merged Diffs' attribute.
`int` | `getTotalNumberOfDiffs()` Returns the value of the 'Total Number Of Diffs' attribute.
`void` | `setMergedDiffs(int value)` Sets the value of the '`Merged Diffs`' attribute.
`void` | `setTotalNumberOfDiffs(int value)` Sets the value of the '`Total Number Of Diffs`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTotalNumberOfDiffs

    int getTotalNumberOfDiffs()

  Returns the value of the 'Total Number Of Diffs' attribute. The default value is `"0"`.

  If the meaning of the 'Total Number Of Diffs' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Total Number Of Diffs' attribute.
  See Also:
    `setTotalNumberOfDiffs(int)`, `VDiffmergePackage.getDiffAttachment_TotalNumberOfDiffs()`

### setTotalNumberOfDiffs

    void setTotalNumberOfDiffs(int value)

  Sets the value of the '`Total Number Of Diffs`' attribute.

  Parameters:
    `value` - the new value of the 'Total Number Of Diffs' attribute.
  See Also:
    `getTotalNumberOfDiffs()`

### getMergedDiffs

    int getMergedDiffs()

  Returns the value of the 'Merged Diffs' attribute. The default value is `"0"`.

  If the meaning of the 'Merged Diffs' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Merged Diffs' attribute.
  See Also:
    `setMergedDiffs(int)`, `VDiffmergePackage.getDiffAttachment_MergedDiffs()`

### setMergedDiffs

    void setMergedDiffs(int value)

  Sets the value of the '`Merged Diffs`' attribute.

  Parameters:
    `value` - the new value of the 'Merged Diffs' attribute.
  See Also:
    `getMergedDiffs()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.